/*------------------------------------------------
   dlllib.cpp   Stewart Johnston
 ------------------------------------------------*/
// example DLL OBJECT, (c) Stewart N. Johnston, Sept. 9, 1993

#include<windows.h>
#include"B.h"

/*
   The Source code in this module acts as an interface to the DLL
   class
*/


extern int FAR PASCAL _export WEP (int) ;


int FAR PASCAL LibMain (HANDLE hInstance, WORD wDataSeg, WORD wHeapSize,
                        LPSTR lpszCmdLine)
     {
    
     if (wHeapSize > 0)
          UnlockData (0) ;

     return 1 ;
     }

int FAR PASCAL _export WEP (int nParam)
     {
     return 1 ;
     }

/*
Constuctor(unsigned int message,unsigned int wParam,long lParam)

  This function will construct one instance of class B then
  will return with the this pointer of the instance.
*/

void far* FAR PASCAL _export Constuctor(unsigned int message,unsigned int wParam,long lParam)
	{
	B *bz;
	
	bz = new B(message,wParam,lParam);
                
	return bz;
	}


/*
 MessageFunction(void far* xthis,unsigned int message,unsigned int wParam,long lParam)

  This function would be called if one wishes to send a message to an
  already constructed B class.  The xthis parameter must contain a this
  pointer of a B class instance.  The function will return a 32 bit (long)
  parameter.
 */

long  FAR PASCAL _export MessageFunction(void far* xthis,unsigned int message,unsigned int wParam,long lParam)
	{
        long l;
	B *bz;
	bz=(B*)xthis;

	l=bz->B1(message,wParam,lParam);
	
	return l;
	}

/*
 Destructor(void far* xthis)
  This function will destroy one instance of B class.  The xthis parameter
  must contain the this pointer of a B class instance.
 */
 
FAR PASCAL _export Destructor(void far* xthis)
	{
	B *bz;
	bz=(B*)xthis;

	delete bz;    // Destroys instance
	}
